summaryrefslogtreecommitdiff
path: root/lib/dfsan/scripts/check_custom_wrappers.sh
diff options
context:
space:
mode:
Diffstat (limited to 'lib/dfsan/scripts/check_custom_wrappers.sh')
-rwxr-xr-xlib/dfsan/scripts/check_custom_wrappers.sh50
1 files changed, 0 insertions, 50 deletions
diff --git a/lib/dfsan/scripts/check_custom_wrappers.sh b/lib/dfsan/scripts/check_custom_wrappers.sh
deleted file mode 100755
index 47a2c45e1..000000000
--- a/lib/dfsan/scripts/check_custom_wrappers.sh
+++ /dev/null
@@ -1,50 +0,0 @@
-#!/bin/bash
-
-DFSAN_DIR=$(dirname "$0")/../
-DFSAN_CUSTOM_TESTS=${DFSAN_DIR}/lit_tests/custom.c
-DFSAN_CUSTOM_WRAPPERS=${DFSAN_DIR}/dfsan_custom.cc
-DFSAN_ABI_LIST=${DFSAN_DIR}/done_abilist.txt
-
-DIFFOUT=$(mktemp -q /tmp/tmp.XXXXXXXXXX)
-ERRORLOG=$(mktemp -q /tmp/tmp.XXXXXXXXXX)
-
-on_exit() {
- rm -f ${DIFFOUT} 2> /dev/null
- rm -f ${ERRORLOG} 2> /dev/null
-}
-
-trap on_exit EXIT
-
-diff \
- <(grep "^fun:.*=custom" ${DFSAN_ABI_LIST} | grep -v "dfsan_get_label" \
- | sed "s/^fun:\(.*\)=custom.*/\1/" | sort ) \
- <(grep "__dfsw.*(" ${DFSAN_CUSTOM_WRAPPERS} \
- | sed "s/.*__dfsw_\(.*\)(.*/\1/" \
- | sort) > ${DIFFOUT}
-if [ $? -ne 0 ]
-then
- echo -n "The following differences between the ABI list and ">> ${ERRORLOG}
- echo "the implemented custom wrappers have been found:" >> ${ERRORLOG}
- cat ${DIFFOUT} >> ${ERRORLOG}
-fi
-
-diff \
- <(grep __dfsw_ ${DFSAN_CUSTOM_WRAPPERS} \
- | sed "s/.*__dfsw_\([^(]*\).*/\1/" \
- | sort) \
- <(grep "^\\s*test_.*();" ${DFSAN_CUSTOM_TESTS} \
- | sed "s/.*test_\(.*\)();/\1/" \
- | sort) > ${DIFFOUT}
-if [ $? -ne 0 ]
-then
- echo -n "The following differences between the implemented " >> ${ERRORLOG}
- echo "custom wrappers and the tests have been found:" >> ${ERRORLOG}
- cat ${DIFFOUT} >> ${ERRORLOG}
-fi
-
-if [[ -s ${ERRORLOG} ]]
-then
- cat ${ERRORLOG}
- exit 1
-fi
-